//$Id: FlashInfomationFrame.java,v 1.1 2009/09/02 20:08:20 Administrator Exp $
package de.oltzen.awt;

import javax.swing.*;
import javax.swing.border.*;
import java.awt.*;
import java.lang.reflect.InvocationTargetException;

@SuppressWarnings("serial")
public class FlashInfomationFrame extends JFrame {
	public final static LineBorder theBlackBorder = new LineBorder(Color.black);

	public FlashInfomationFrame(String headline, String info)
	{
		JEditorPane info_pane;
		setSize(600, 200);
		info_pane = new JEditorPane("text/html", "");
		info_pane.setEditable(false);
		info_pane.setText("<h1>" + headline + "</h1>" + info);
		info_pane.setBorder(theBlackBorder);
		JScrollPane scr_info_pane = new JScrollPane(info_pane);

		setTitle(headline);

		TableLayout theLayout = new TableLayout(1, 1);
		theLayout.setColRel(0, 100);
		theLayout.setRowRel(0, 100);
		getContentPane().setLayout(theLayout);

		theLayout.addComponent(scr_info_pane, 0, 0);
		getContentPane().add(scr_info_pane);

		info_pane.setCaretPosition(0);

        toFront();
        setVisible(true);

	}


}
