//$Id: MessageDialog.java,v 1.1 2009/09/02 20:08:20 Administrator Exp $
package de.oltzen.awt;

import javax.swing.*;
import javax.swing.border.*;
import java.awt.*;

@SuppressWarnings("serial")
public class MessageDialog extends JDialog
implements java.awt.event.ActionListener
{
	public final static LineBorder theBlackBorder = new LineBorder(Color.black);

	JButton theOKButton;

	public MessageDialog (Frame frame, String info)
	{
		super(frame);
		JEditorPane info_pane ;
		setSize(600,400);
		info_pane = new JEditorPane("text/html","");
		info_pane.setEditable(false);
		info_pane.setText(info);
		info_pane.setBorder(theBlackBorder);
		JScrollPane scr_info_pane = new JScrollPane(info_pane);

		theOKButton = new JButton("OK");
		theOKButton.addActionListener(this);

		TableLayout theLayout = new TableLayout(2,1);
		theLayout.setColRel(0,100);
		theLayout.setRowRel(0,100);
		getContentPane().setLayout(theLayout);

		theLayout.addComponent(scr_info_pane,0,0);
		getContentPane().add(scr_info_pane);
		theLayout.addComponent(theOKButton,1,0);
		getContentPane().add(theOKButton);

		info_pane.setCaretPosition(0);

		setModal(true);
	}

	public void actionPerformed(java.awt.event.ActionEvent e)
	{
		if (e.getSource() == theOKButton)
		{
			dispose();
		}
	}

}
