//$Id: MessageYesNoDialog.java,v 1.1 2009/09/02 20:08:20 Administrator Exp $
package de.oltzen.awt;

import javax.swing.*;
import javax.swing.border.*;
import java.awt.*;

@SuppressWarnings("serial")
public class MessageYesNoDialog extends JDialog
implements java.awt.event.ActionListener
{
	public final static LineBorder theBlackBorder = new LineBorder(Color.black);

	JButton theNoButton;

	JButton theYesButton;

	boolean theYesFlag;

	public MessageYesNoDialog (Frame frame, String info)
	{
		super(frame);
		JEditorPane info_pane ;
		setSize(600,400);
		info_pane = new JEditorPane("text/html","");
		info_pane.setEditable(false);
		info_pane.setText(info);
		info_pane.setBorder(theBlackBorder);
		JScrollPane scr_info_pane = new JScrollPane(info_pane);

		theYesButton = new JButton("Yes");
		theYesButton.addActionListener(this);
		theNoButton = new JButton("No");
		theNoButton.addActionListener(this);

		TableLayout layout = new TableLayout(2,2);
		layout.setColRel(0,100);
		layout.setRowRel(0,100);
		getContentPane().setLayout(layout);

		layout.addComponent(scr_info_pane,0,0,1,2);
		getContentPane().add(scr_info_pane);
		layout.addComponent(theYesButton,1,0);
		getContentPane().add(theYesButton);
		layout.addComponent(theNoButton,1,1);
		getContentPane().add(theNoButton);

		info_pane.setCaretPosition(0);

		setModal(true);
	}

	public boolean isYes()
	{
		return theYesFlag;
	}

	public void actionPerformed(java.awt.event.ActionEvent e)
	{
		if (e.getSource() == theYesButton)
		{
			theYesFlag = true;
			dispose();
		}
		if (e.getSource() == theNoButton)
		{
			theYesFlag = false;
			dispose();
		}
	}

}
