/* (c) by Thomas Oltzen
 * Created on 04.11.2006
 *
 */
package de.oltzen.awt;

import javax.swing.JFrame;

public class ProgressPerformer {

    private JFrame theFrame;
    private ProgressFunction thePF;
    
    public ProgressPerformer(JFrame frame, ProgressFunction pf)
    {
        theFrame = frame;
        thePF = pf;
    }
    
    public void perform(String methodname)
    {
        new ProgressDialog(theFrame, thePF, methodname);
        Thread.yield();
    }
    
}
