/* (c) by Thomas Oltzen
 * Created on 05.11.2006
 *
 */
package de.oltzen.awt;

import java.awt.Component;
import java.awt.Frame;

public class TomUtil {

    /** Get the root frame out of a component. 
     * 
     * @param comp_frame
     * @return theFrame
     */
    public static Frame getRootFrame(Component comp_frame)
    {
        while (comp_frame != null && !(comp_frame instanceof Frame)) {
            comp_frame = comp_frame.getParent();
        }
        return (Frame) comp_frame;
    }
}
