//$Id: RedoListAction.java,v 1.1 2009/09/02 20:08:22 Administrator Exp $
package de.oltzen.util;

import java.util.*;

public abstract class RedoListAction
{
	public abstract List action(List source);

	/** Die abgeleitete Klasse muss diese Methode berschreiben, wenn die Aktion nicht
	* von der Vorgngeraktion abhngig ist. Es ist absolut wichtig, dass die Ausgabe von
	* der Methode 'action' eine Kopie der intern gespeicherten Liste ist!*/
	public boolean isNewList ()
	{
		return false;
	}
}