/* (C) Thomas Oltzen
 * Created on 03.04.2004
 *
 */
package de.oltzen.awt;

import java.awt.Component;

/**
 * @author Thomas Oltzen
 *
 * To change the template for this generated type comment go to
 * Window>Preferences>Java>Code Generation>Code and Comments
 */
@SuppressWarnings("serial")
public class GridButton extends JTableComponent {

	int[] theMaxWidth;

	/**
	 * @param rowcounter
	 * @param colcounter
	 */
	public GridButton(int rowcounter, int colcounter) {
		super(rowcounter*2+1, colcounter*2+1);
		theMaxWidth = new int[colcounter];
		for (int i = 0 ; i <= colcounter*2+1 ; i += 2){
			theLayout.setColRel(i,100);
			theLayout.setColWidth(i,5);
		}
		for (int i = 0 ; i <= rowcounter*2+1 ; i += 2){
			theLayout.setRowRel(i,100);
			theLayout.setRowHeight(i,2);
		}
	}

	/** Insert a child component into the component. */
	public void insertComp ( Component comp, int row, int col)
	{
		insertComp(comp,row*2+1,col*2+1,1,1);
		theMaxWidth[col] = Math.max(theMaxWidth[col], comp.getPreferredSize().width);
		theLayout.setColWidth(col*2+1, theMaxWidth[col]);
	}

}
