//$Id: MessageButtonsDialog.java,v 1.1 2009/09/02 20:08:20 Administrator Exp $
package de.oltzen.awt;

import javax.swing.*;
import javax.swing.border.*;
import java.awt.*;

public class MessageButtonsDialog extends JDialog
implements java.awt.event.ActionListener
{
	/**
     * Comment for <code>serialVersionUID</code>
     */
    private static final long serialVersionUID = 3762250833777473331L;

    public final static LineBorder theBlackBorder = new LineBorder(Color.black);

	JButton theNoButton;

	JButton [] theButtonA;

	int theBottonNo;

	public MessageButtonsDialog (Frame frame, String info, String[] buttons)
	{
		super(frame);
		JEditorPane info_pane ;
		setSize(600,400);
		info_pane = new JEditorPane("text/html","");
		info_pane.setEditable(false);
		info_pane.setText(info);
		info_pane.setBorder(theBlackBorder);
		JScrollPane scr_info_pane = new JScrollPane(info_pane);

		theButtonA =new JButton[buttons.length];
		for (int i= 0 ; i < buttons.length ; i++){
			theButtonA[i] = new JButton(buttons[i]);
			theButtonA[i].addActionListener(this);
		}


		TableLayout theLayout = new TableLayout(2,buttons.length);
		theLayout.setColRel(0,100);
		theLayout.setRowRel(0,100);
		getContentPane().setLayout(theLayout);

		theLayout.addComponent(scr_info_pane,0,0,1,buttons.length);
		getContentPane().add(scr_info_pane);
		for (int i= 0 ; i < buttons.length ; i++){
			theLayout.addComponent(theButtonA[i],1,i);
			getContentPane().add(theButtonA[i]);
		}

		info_pane.setCaretPosition(0);

		setModal(true);
	}

	public int getBottonNo()
	{
		return theBottonNo;
	}

	public void actionPerformed(java.awt.event.ActionEvent e)
	{
		for (int i= 0 ; i < theButtonA.length ; i++){
			if (e.getSource() == theButtonA[i])
			{
				theBottonNo = i;
				dispose();
			}
		}
	}

}
