//$Id: EmptyTreeComponent.java,v 1.1 2009/09/02 20:08:21 Administrator Exp $
package de.oltzen.fw.tree;

import javax.swing.*;

/** Hat ein Konten im Baum keine Komponenete die angezeigt werden soll,
* wird diese Klasse genommen.<br>
* <b>&copy; 1999 by Thomas Oltzen, under the terms of the LGPL</b>
* @version 1.0
* @author Thomas Oltzen
*/
public class EmptyTreeComponent extends JComponent implements FwComponent
{
	String theTitle;

	public EmptyTreeComponent(String title)
	{
		theTitle = title;
	}

    public void viewOnFrameAction (FwTreeFrame frame){}

	public void disappearFromFrame () {}

	public JComponent getFrameComponent ()
	{
		return this;
	}

	public String getTreeBranchName ()
	{
		return theTitle;
	}

}