//$Id: OltzenStringUtil.java,v 1.1 2009/09/02 20:08:22 Administrator Exp $
package de.oltzen.util;

import java.util.*;

public class OltzenStringUtil
{
	static public String getTableNumber (int number, int width)
	{
		String num = Integer.toString(number);
		if (width-num.length()<0) width = num.length();
		return ("0000000000000").substring(0,width-num.length())+num;
	}

	static public String [] convertToStringArray(Vector v)
	{
		String [] res = new String [v.size()];
		int s = v.size();
		for (int i = 0; i < s ; i++){
			res[i] = (String) v.get(i);
		}
		return res;
	}

    static public String replaceAll(String source, String find, String replace){
        int from = 0;
        int index = source.indexOf(find, from);
        while (index >=0){
            source = source.substring(0, index)+replace+
                source.substring(index+find.length(), source.length());
            from = index+ replace.length();
            index = source.indexOf(find, from);
        }
        return source;
    }
    
    static public String truncate(String source, int max_length){
        if (source.length()<=max_length) return source;
        return source.substring(0,max_length);
    }
}